#!/usr/bin/awk -f

BEGIN{
  A_mean = ARGV[1];		# mean albedo (for unknown objects)

  ARGV[1]="";
  OFMT=CONVFMT="%6.3f";
}
{
  H = $2;
  H_wise = $13;
  D_wise = $15;
  A_wise = $17;

  if (D_wise+0. < 1.e-8) {
    A = A_mean;
    D = 10.**(0.5 * (6.259 - log10(A) - 0.4*H));

    printf("%7.3f\n", D);
    print A > "A_both.dat";
    print A > "A_wiseifexists.dat";
  } else {
    
    D = D_wise;
    H = H_wise;
    A = 10.**(6.259 - 2.*log10(D) - 0.4*H);

    printf("%7.3f\n", D);
    print A_wise, A > "A_both.dat";
    print A_wise > "A_wiseifexists.dat";
    print A_wise > "A.dat";
  }
}


function log10(x) {
  return log(x)/log(10);
}


